[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.DoEditorShow

Performs actions needed to show the cell Editor for the grid control.

## Declaration

Source position: grids.pas line 1029

`protected procedure TCustomGrid.DoEditorShow; virtual;`

## Description

Calls ScrollToCell to position the grid on the cell indicated by the Col and Row properties.

String- and Button-style editor controls are updated to use the alignment defined for the current column. If Columns has not been enabled, the default alignment for the cell is taLeftJustify. Calls EditSetValue to copy the cell content into the cell Editor.

The Editor.SetFocus method is called when the grid control currently has focus and the cell editor can receive focus. InvalidateCell is called to redraw the cell at the position in Col and Row.

DoEditorShow is called from the EditorShow method.